dojo.provide("parus.designerReportSectionDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.ValidationTextBox");
dojo.require("dijit.form.SimpleTextarea");

dojo.require("parus.parus8");
dojo.require("parus.dialog");
dojo.require("parus.dictEdit");
dojo.require("parus.formats");

dojo.require("parus.editDictionaryDialog");

dojo.declare("parus.designerReportSectionDialog", [parus.editDictionaryDialog], {

  postCreate: function() {
    this.inherited(arguments);

    dojo.mixin(this.sectionEdit, {
      allowEditCatalog: false,
      allowMoveCatalog: true,
      moveCatalogQueryID: "designer.BalanceSections.Catalog.Move"
    });
  },

  executeInsert: function() {
    return parus.database.execute("designer.BalanceReportForm.Sections.Insert", {
      PRN: this.prn,
      SECTION: this.sectionEdit.attr("value")
    });
  }

});